Page MenuHomePhabricator

Common interface for Custom-/Std-Multi widget (editor)
Closed, ResolvedPublic

Description

Create (extend) a common interface for different multi widgets (editors) to allow to substitute the QmitkStdMultiWidget(Editor) in classes / functions that currently need a QmitkStdMultiWidget(Editor), but should work with the new QmitkCustomMultiWidget(Editor).

Is this reasonable, or should we strive to create a custom multi widget (editor) in a way that we can substitute the custom variant for the standard variant (and change all occurrences of std with custom)?

Event Timeline

kalali created this task.Jan 31 2018, 12:45 PM
kislinsk triaged this task as Wishlist priority.Feb 8 2018, 9:24 PM
kalali renamed this task from Common interface for Custom-/Std-Multi widget to Common interface for Custom-/Std-Multi widget (editor).Nov 13 2018, 3:01 PM
kalali updated the task description. (Show Details)
kalali updated the task description. (Show Details)

This interface could also be used to provide common functions that are needed in order to work with both multi widget editors, e.g. get the current layout of the render windows.

kalali claimed this task.Nov 26 2018, 9:20 AM
kalali raised the priority of this task from Wishlist to Normal.
kalali removed kalali as the assignee of this task.Feb 13 2019, 2:18 PM
kalali added a project: Restricted Project.Feb 13 2019, 2:22 PM
kalali claimed this task.Jul 22 2019, 5:03 PM
kalali moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.
kalali closed this task as Resolved.Jul 24 2019, 12:40 PM
kalali moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.

Branch has unpublished commits. Merging into T26492 to publish it.